import os
import sys
current_dir = os.path.dirname(__file__)
parent_dir = os.path.abspath(os.path.join(current_dir, '..'))
sys.path.append(parent_dir)
from data_structs import MarkerTemplate
from flask import json

# get_markers parses a list of MarkerTemplate objects to json, and returns either a successfully
# parsed json object with status code 200, or and error message and status code 501
def get_markers():
    try:
        testData = [
            MarkerTemplate(latitude=60.7066, longitude=10.9771, size=50.0, color='blue', radius=10.0),
            MarkerTemplate(latitude=60.6366, longitude=10.8171, size=30.0, color='red', radius=8.0),
            MarkerTemplate(latitude=60.7366, longitude=10.8471, size=20.0, color='green', radius = 14.0),
        ]
        
        return json.dumps([marker.to_dict() for marker in testData]), 200
    
    except Exception as e:
        return e, 500